# Interface methods for submodule: EigenAnalysis2DImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: EigenAnalysis2DImageFilter
class EigenAnalysis2DImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetInput1(self, image) -> None:
		""""""
		...

	def SetInput2(self, image) -> None:
		""""""
		...

	def SetInput3(self, image) -> None:
		""""""
		...

	def GetMaxEigenValue(self):
		""""""
		...

	def GetMinEigenValue(self):
		""""""
		...

	def GetMaxEigenVector(self):
		""""""
		...

	def MakeOutput(self, idx: int):
		""""""
		...

